<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina5_9" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="SLMessageViewController">
            <connections>
                <outlet property="addFriendBgView" destination="yDe-Q0-St9" id="E0n-xG-opc"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="375" height="812"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view hidden="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="yDe-Q0-St9">
                    <rect key="frame" x="0.0" y="91" width="375" height="22"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="对方还不是你的好友," textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="nvr-tE-3W3">
                            <rect key="frame" x="12" y="4.0000000000000009" width="114" height="14.333333333333336"/>
                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="uTk-HA-4xA">
                            <rect key="frame" x="126" y="-2.3333333333333286" width="74" height="27"/>
                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="点击添加好友">
                                <color key="titleColor" red="0.086274509799999996" green="0.46666666670000001" blue="1" alpha="1" colorSpace="custom" customColorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="addFriendClick:" destination="-1" eventType="touchUpInside" id="IIz-Bu-CrM"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemGray6Color"/>
                    <constraints>
                        <constraint firstItem="nvr-tE-3W3" firstAttribute="centerY" secondItem="yDe-Q0-St9" secondAttribute="centerY" id="WB8-tx-WPc"/>
                        <constraint firstItem="nvr-tE-3W3" firstAttribute="leading" secondItem="yDe-Q0-St9" secondAttribute="leading" constant="12" id="aVb-h5-dU8"/>
                        <constraint firstItem="uTk-HA-4xA" firstAttribute="centerY" secondItem="yDe-Q0-St9" secondAttribute="centerY" id="jjg-HX-YbI"/>
                        <constraint firstAttribute="height" constant="22" id="scX-fh-Zcq"/>
                        <constraint firstItem="uTk-HA-4xA" firstAttribute="leading" secondItem="nvr-tE-3W3" secondAttribute="trailing" id="t2n-wP-rvZ"/>
                    </constraints>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Nxg-gm-QOI"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="yDe-Q0-St9" firstAttribute="top" secondItem="Nxg-gm-QOI" secondAttribute="top" constant="44" id="VYR-7C-nzr">
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="safeAreaTop" value="YES"/>
                    </userDefinedRuntimeAttributes>
                </constraint>
                <constraint firstItem="yDe-Q0-St9" firstAttribute="leading" secondItem="Nxg-gm-QOI" secondAttribute="leading" id="Wc6-Mk-gxz"/>
                <constraint firstItem="Nxg-gm-QOI" firstAttribute="trailing" secondItem="yDe-Q0-St9" secondAttribute="trailing" id="k1u-bk-dQO"/>
            </constraints>
            <point key="canvasLocation" x="32.307692307692307" y="20.616113744075829"/>
        </view>
    </objects>
    <resources>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemGray6Color">
            <color red="0.94901960784313721" green="0.94901960784313721" blue="0.96862745098039216" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
